<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4
Name: Laborbefund
Description: Template Spezieller Implementierungsleitfaden ELGA Laborbefund
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.4-2013-07-01T000000">
   <title>Laborbefund</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']"
         id="tmp-19722074-b736-4668-b7fa-2f46f242e01a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&gt;=1 ">(Laborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Laborbefund): Element hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Laborbefund): Element hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Laborbefund): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:title)&lt;=1">(Laborbefund): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']])&gt;=1 ">(Laborbefund): Element hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']])&lt;=1">(Laborbefund): Element hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:participant[@typeCode='REF'])&gt;=1 and not(hl7:participant[@typeCode='REF']/@nullFlavor)">(Laborbefund): Element hl7:participant[@typeCode='REF'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:participant[@typeCode='REF'])&lt;=1">(Laborbefund): Element hl7:participant[@typeCode='REF'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]])&gt;=1 and not(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/@nullFlavor)">(Laborbefund): Element hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:componentOf)=0">(Laborbefund): Element hl7:componentOf DARF NICHT vorkommen.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:templateId[@root='1.2.40.0.34.11.4']
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:templateId[@root='1.2.40.0.34.11.4']"
         id="tmp-6d4ad453-e23d-4b2f-bd21-6bb2cbefa490">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@root)='1.2.40.0.34.11.4'">(Laborbefund): @root MUSS den Wert '1.2.40.0.34.11.4' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-dedb2079-1033-4c6f-969b-89abac25cc3e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="@nullFlavor or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='LABORATORY REPORT.TOTAL')">(Laborbefund): Der Elementinhalt MUSS sein code '11502-2' codeSystem '2.16.840.1.113883.6.1' displayName='LABORATORY REPORT.TOTAL'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:title
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:title"
         id="tmp-1339141d-538d-4646-969d-e9f8f1ec3315">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']]
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']]"
         id="tmp-fd581dd9-e3a6-4743-ad62-7c936d725e11">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'])&gt;=1 ">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']]/hl7:templateId
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']]/hl7:templateId"
         id="tmp-2d7b4817-d068-448b-ac94-296cb46f584a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.3.1.4'">(Laborbefund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.4' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]"
         id="tmp-9b16c317-c0bc-4eed-9c13-8f9b7e12cce3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&gt;=1 ">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:templateId
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:templateId"
         id="tmp-b578e639-bf62-4887-9f54-258176a3fa50">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.3.1.5'">(Laborbefund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.5' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]"
         id="tmp-ed85f38b-dc9a-4a99-b730-708df454524f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&gt;=1 ">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:templateId
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']]/hl7:templateId"
         id="tmp-a644c48b-5904-42fe-a4c5-4fb3bfe163e5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.3.1.5'">(Laborbefund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.5' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']"
         id="tmp-8ecae634-554a-4c90-9179-3333035290b4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@typeCode)='REF'">(Laborbefund): Der Wert von @typeCode MUSS 'REF' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:time)&gt;=1 ">(Laborbefund): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:time)&lt;=1">(Laborbefund): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">(Laborbefund): Element hl7:associatedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:associatedEntity)&lt;=1">(Laborbefund): Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:time
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:time"
         id="tmp-a89216b9-ae39-42ab-bb77-34226d960c03">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity"
         id="tmp-0ed2d82c-dae0-484a-ac96-db61ceb3106f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@classCode)='PROV'">(Laborbefund): Der Wert von @classCode MUSS 'PROV' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Laborbefund): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:id)&lt;=1">(Laborbefund): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:addr)&gt;=1 ">(Laborbefund): Element hl7:addr ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:addr)&lt;=1">(Laborbefund): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">(Laborbefund): Element hl7:telecom ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">(Laborbefund): Element hl7:associatedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:associatedPerson)&lt;=1">(Laborbefund): Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:scopingOrganization)&lt;=1">(Laborbefund): Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6']
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6']"
         id="tmp-6c224272-c66d-4d28-9d61-838cf6b741b5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.3.1.6'">(Laborbefund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.6' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id"
         id="tmp-7e9f59bc-2a93-49c3-9618-11cd7645f518">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr"
         id="tmp-c11a42dc-5378-44dc-9bce-79f891dcebbd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom"
         id="tmp-27104eb7-0def-4e93-b314-94eca1a33935">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson"
         id="tmp-675f784c-93f2-4b86-8c5b-3a0c6aa1697d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(Laborbefund): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:name)&lt;=1">(Laborbefund): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: (PersonElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name"
         id="tmp-5a96cb8c-b6f3-4d6e-bd31-6ddaeef38fe4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization"
         id="tmp-c7e898f0-2c6f-40fb-b5ab-93429292e07d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(Laborbefund): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:name)&lt;=1">(Laborbefund): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:addr)&lt;=1">(Laborbefund): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id"
         id="tmp-51133cbb-5b19-49c0-8a50-6ad03d60ea93">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name"
         id="tmp-6cebf14d-a2bd-4287-8567-1fe93914ce46">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom"
         id="tmp-bf299231-e95d-4fac-a121-01df44acf783">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr"
         id="tmp-ee5446a7-84e2-4e16-9073-1dae5524b22a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-ae50be7e-c7e3-4e3a-882b-89e93e7e0ec5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]])&gt;=1 and not(hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]/@nullFlavor)">(Laborbefund): Element hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]])&lt;=1">(Laborbefund): Element hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent"
         id="tmp-58dfdab0-612d-48d8-83e4-bc473a7b1d3f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 ">(Laborbefund): Element hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Laborbefund): Element hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(Laborbefund): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Laborbefund): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-4c0ff38d-c904-4938-9050-c7f9ac607785">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Laborbefund): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_ServiceEventsLabor (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Laborbefund): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_ServiceEventsLabor (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:effectiveTime
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:effectiveTime"
         id="tmp-cc900bc7-3034-42c6-8735-f7e1bce4697b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(Laborbefund): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:low)&lt;=1">(Laborbefund): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(Laborbefund): Element hl7:high ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:high)&lt;=1">(Laborbefund): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:effectiveTime/hl7:low
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:effectiveTime/hl7:low"
         id="tmp-39a9bcaa-9d17-4853-b6ba-7c9133ccbe03">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:effectiveTime/hl7:high
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:effectiveTime/hl7:high"
         id="tmp-e37dcc22-f607-4836-97cd-618b47fb089d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:perfomer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:perfomer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]"
         id="tmp-0c5ee9e0-1534-4c8a-84fb-a86a89aefe68">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']/@nullFlavor)">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:perfomer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:templateId
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:perfomer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:templateId"
         id="tmp-54e1622e-3013-4661-bedd-8caaed2ece4e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20130723T134607/tmp-1.2.40.0.34.11.4-2013-07-01T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.3.1.7'">(Laborbefund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.7' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:componentOf
Item: (Laborbefund)
-->
</pattern>
